#!/bin/bash

mkdir -p output
mkdir -p figure

gcc -o 	problem3_5_3.exe 	problem3_5_3.c 	dSFMT.c


for alpha in 1.0 1.8 2.2 3.0 5.0
do

for stat in ave std med q_r
do

type=$( grep "${alpha}" boxtype.dat |  grep "${stat}" | awk '{print($3)}')
width=$( grep "${alpha}" boxtype.dat |  grep "${stat}" | awk '{print($4)}')


./problem3_5_3.exe	${stat}	${alpha}	${type}	${width}


if [ "${type}" = "log" ]
then
	logtype="set log x "
	format="set format x \"10^{%L}\" "
else
	logtype="unset log"
	format="set format x \"%g\" "
fi

gnuplot <<EOF
set terminal postscript eps enhanced color
set output "figure/${stat}_${alpha}.eps"
set size 0.6,0.6
set xlabel "${stat} {/Symbol a}=${alpha}"
set ylabel "PDF"
${logtype}
${format}
plot "output/${stat}_${alpha}.dat" u 1:2 noti w impulses
EOF


echo "finish ${alpha} ${stat}"

done
##stat

done
##alpha


: <<COMMENT
for A in 3.0 1.0 1.8 2.2 5.0
do

./problem3_5_3.exe	${A}


for B in ave std med q_r
do

gnuplot <<EOF
set terminal postscript eps enhanced color
set output "figure/${B}_${A}.eps"
set size 0.6,0.6
set xlabel "${B} {/Symbol a}=${A}"
set ylabel "PDF"
plot "output/${B}_${A}.dat" u 1:2 noti w impulses
EOF

done

done


gnuplot <<EOF
set terminal postscript eps enhanced color
set output "figure/ave_1.0.eps"
set size 0.6,0.6
set xlabel "ave {/Symbol a}=1.0"
set ylabel "PDF"
set log x 
set format x "10^{%L}"
plot "output/ave_1.0.dat" u 1:2 noti w impulses
EOF

for A in 1.0 1.8 2.2
do

gnuplot <<EOF
set terminal postscript eps enhanced color
set output "figure/std_${A}.eps"
set size 0.6,0.6
set xlabel "std {/Symbol a}=${A}"
set ylabel "PDF"
set log x 
set format x "10^{%L}"
plot "output/std_${A}.dat" u 1:2 noti w impulses
EOF

done

COMMENT
